Get a blog post
curl --request GET \
--url https://{domain}/api/application/modules/blog/posts/{post} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{domain}/api/application/modules/blog/posts/{post}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{domain}/api/application/modules/blog/posts/{post}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/application/modules/blog/posts/{post}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/application/modules/blog/posts/{post}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{domain}/api/application/modules/blog/posts/{post}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/application/modules/blog/posts/{post}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": 1,
"title": "Spring sale: 30 percent off game servers",
"slug": "spring-sale",
"url": "https://billing.example.com/blog/spring-sale",
"description": "All Minecraft and Rust plans are 30 percent off until Sunday.",
"featured_image": "https://billing.example.com/storage/blog/featured-images/LL6G2vWRsmwuKfg5NUpQ5wkyxOG0wgnRZc1n8pM3.png",
"is_featured": false,
"views": 1,
"author": {
"id": 2,
"name": "Alex Morgan"
},
"meta_title": "Spring sale",
"meta_description": "30 percent off all game servers until Sunday.",
"published_at": "2026-03-03T13:32:09Z",
"created_at": "2026-03-03T13:32:09Z",
"updated_at": "2026-03-03T13:35:14Z",
"status": "published",
"content": "# Welcome to Your Blog Post\r\n\r\nWrite your content here using markdown syntax.\r\n\r\n## Getting Started\r\n\r\nReplace this content with your own blog post. You can use standard Markdown syntax:\r\n\r\n- **Bold text** for emphasis\r\n- *Italic text* for subtle emphasis\r\n- [Links](https://example.com) to external resources\r\n- > Blockquotes for important information\r\n- `Inline code` for technical terms\r\n\r\n## Code Examples\r\n\r\n```javascript\r\nfunction greet(name) {\r\n return `Hello, ${name}!`;\r\n}\r\n```\r\n\r\nWrite your blog post content below and customize as needed."
},
"meta": {
"request_id": "c3c45f3f-69ab-4d37-be42-28d8c86310e6"
}
}Blog
Get a blog post
One post with its Markdown content. The key API accepts the id or the slug and returns posts in any status; the public API takes the slug of a published post.
Permission: modules.blog.posts.read
GET
/
application
/
modules
/
blog
/
posts
/
{post}
Get a blog post
curl --request GET \
--url https://{domain}/api/application/modules/blog/posts/{post} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{domain}/api/application/modules/blog/posts/{post}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{domain}/api/application/modules/blog/posts/{post}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/application/modules/blog/posts/{post}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/application/modules/blog/posts/{post}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{domain}/api/application/modules/blog/posts/{post}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/application/modules/blog/posts/{post}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": 1,
"title": "Spring sale: 30 percent off game servers",
"slug": "spring-sale",
"url": "https://billing.example.com/blog/spring-sale",
"description": "All Minecraft and Rust plans are 30 percent off until Sunday.",
"featured_image": "https://billing.example.com/storage/blog/featured-images/LL6G2vWRsmwuKfg5NUpQ5wkyxOG0wgnRZc1n8pM3.png",
"is_featured": false,
"views": 1,
"author": {
"id": 2,
"name": "Alex Morgan"
},
"meta_title": "Spring sale",
"meta_description": "30 percent off all game servers until Sunday.",
"published_at": "2026-03-03T13:32:09Z",
"created_at": "2026-03-03T13:32:09Z",
"updated_at": "2026-03-03T13:35:14Z",
"status": "published",
"content": "# Welcome to Your Blog Post\r\n\r\nWrite your content here using markdown syntax.\r\n\r\n## Getting Started\r\n\r\nReplace this content with your own blog post. You can use standard Markdown syntax:\r\n\r\n- **Bold text** for emphasis\r\n- *Italic text* for subtle emphasis\r\n- [Links](https://example.com) to external resources\r\n- > Blockquotes for important information\r\n- `Inline code` for technical terms\r\n\r\n## Code Examples\r\n\r\n```javascript\r\nfunction greet(name) {\r\n return `Hello, ${name}!`;\r\n}\r\n```\r\n\r\nWrite your blog post content below and customize as needed."
},
"meta": {
"request_id": "c3c45f3f-69ab-4d37-be42-28d8c86310e6"
}
}Authorizations
Was this page helpful?

